## mog 0.63-1

=== Makefile ===
EXE = mog
SRC = sources
PREFIX = /opt
EXTRADIR = ./build/linux
DESTDIR =

GAMEDIR = $(DESTDIR)$(PREFIX)/$(EXE)
BINDIR = $(GAMEDIR)
ICNDIR = $(DESTDIR)/usr/share/pixmaps
APPDIR = $(DESTDIR)/usr/share/applications/hildon
INIDIR = $(DESTDIR)/home/user/.mog

DATA = graphics rooms sound libs leeme.txt liesmich.txt readme.txt MoG-FAQ.txt LICENSE
ICON = mog.png
DESKTOP = mog.desktop
INI = MoG.cfg
START = mog.sh

OBJS = \
	$(SRC)/bitmaps.o		$(SRC)/debug-report.o		\
	$(SRC)/demons.o			$(SRC)/drawing.o			\
	$(SRC)/filehandling.o	$(SRC)/gameaux.o			\
	$(SRC)/gamecycle.o		$(SRC)/gameinteractions.o	\
	$(SRC)/gameobjects.o	$(SRC)/gametiles.o			\
	$(SRC)/ingamecycle.o	$(SRC)/keyboard.o			\
	$(SRC)/line_clip.o		$(SRC)/loadpcx.o			\
	$(SRC)/main.o			$(SRC)/passwords.o			\
	$(SRC)/path.o			$(SRC)/debug.o				\
	$(SRC)/render.o			$(SRC)/roomchange.o			\
	$(SRC)/shrines.o		$(SRC)/sound.o

CC = g++
CFLAGS = -g3 -O3 -Wno-write-strings `sdl-config --cflags`
LDFLAGS = `sdl-config --libs` -lSDL_image -lSDL_mixer -lSDL_sound
RM = rm -f
CP = cp -r
MD = mkdir -p
ECHO = echo
CHMOD = chmod
STRIP = strip

all: $(EXE)

%.o: %.cpp
	$(CC) $(CFLAGS) -c $< -o $@

$(EXE): $(OBJS)
	$(CC) $(LDFLAGS) $^ -o $@
	@$(STRIP) $@
	@$(ECHO) " o If there are no errors, the game compiled succesfully"

clean:
	@$(ECHO) " o Cleaning up source directory"
	@$(RM) $(SRC)/*.o $(SRC)/*.bak core $(EXE)

install: all
	@$(ECHO) " o Creating install directory $(BINDIR)"
	@$(MD) "$(BINDIR)"
	@$(ECHO) " o Installing game and data to $(BINDIR)"
	@$(CP) "$(EXE)" "$(EXTRADIR)/$(START)" $(DATA) "$(BINDIR)"
	@$(MD) "$(INIDIR)"
	@$(CP) "$(EXTRADIR)/$(INI)" "$(INIDIR)"
	@$(ECHO) " o Creating application menu entry"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(EXTRADIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(EXTRADIR)/$(DESKTOP)" "$(APPDIR)"
	@$(ECHO) ""

uninstall:
	@$(ECHO) " o Removing game and data from $(BINDIR)"
	@$(RM) -r "$(BINDIR)"
	@$(ECHO) " o Removing application menu entry"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"
	@$(ECHO) ""

=== debian/changelog ===
mog (0.63-1) unstable; urgency=low

  * Initial release

 -- trompkins <maciej.stankiewicz@gmail.com>  Wed, 17 Aug 2011 00:36:17 +0100

=== debian/control ===
Source: mog
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-sound1.2-dev
Standards-Version: 3.7.3

Package: mog
Architecture: armel
Depends: ${shlibs:Depends}
Description: Maze of Galious is a remake of Konami's MSX platform game.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAABAUSURBVHja7Jl5kFxHfcc//c6ZeTOzu7P3rnal1WUdtoUt
 bMe2sAELGxx8YMCGlIONCYGKSSiTkEqFIlTlJKECVFEFiSnIUTYun9gGO4oN
 so0wviRZ0q4kr+7V3sfsnG/e3Z0/ZiUfGHABCaHKXdU1r9909/t9+9e/b3+7
 Wyil+G1OGr/l6U0AbwL4FZP4dXSSsrQLB3sz17TmzXMMXZ1rmVZHEIZIpRGI
 PhrVCXo7TDRNl2Eox/0w3j1X9F6YnPPvkVId/U0CEKsGnH/cuDr3p+1taS3n
 pIgjD6GZHJ/L0lHIcejYLGcOKSxDggwReopECqZnKyxUpDd8aPEj1Xp83y9r
 gP5LtOke7HX+sK/beV9b3nz/5o2FP1m5LCt6OjJkUhrplMFEqY31m7aSa+tl
 3YbNDL80wcozf5fF2UP0dVl0FhxacxpxIk2l1DWWZYr+rvQHo0S1+0FyGIj/
 NzzQsXrQ+eyKvsyt/T2OIxOJaerkHINcRsOybVAK3w8oxUMMj86xctUGEgn5
 fJ5du3ZxZv8My3qyzeDTNDzPZ2IuwDQNBDA97zJfiibGp72/nVv0/x0IflUA
 tqGLtSsHnJt7O8xbVg0WWnOOQU9nFsMwqNfrgCKREkPXSZIEXTfYdQgm53yi
 KCadyaNpgiRyuWijpKerDcMwcN06SimkVGiahpSSRApmigETM3WKpeDo1Jz/
 jekF/x5g+md55WcBcDaszH29pzP9vrQtcj2dDhoxmZTANAUt+Ty+H+CFglVr
 ezl2dIIkVAyu6mH00DiGhLUbV3Jw5Aht+Qzlap2hNX3YJtTdhHQ6hWVq+EHA
 xGSJtK4DCiEESiZous3kbJ2FUkClFshKLZybmAv+ZrESf/0NxcCKfueftmzu
 /sT61R12ISfo6cySSRvEcUQcJeiGjiY0Zhdq3HSdSyFfYnTM4BMfCnhoW41c
 1uHqyxYpVcoo2YYfKkYOTJEkdVqcGqsHGwzvH2Pf/pCpmTKrBjuApidSKbuZ
 LUlfZ4a+7pwQQmaDILlysRI9rhTjvxBAX1f6M72d6VU9HSkSGZPIBNMwEEJg
 2xYCQSaTBs2kWBwll/HQdcmuvdN4QY4k1nDSk7S3NDh0LIsi5NwzPS45X/Hw
 44qVy4qsHIChQcXUrE1HwSFOEkzTJIqi5rxQEEUhTiZFS9Zg/9GaqHvJ7jhW
 L/zChaxcDSa9QJIkMZl0mlqtgecFtLa0knUcbNvGtm0Mw6BYhkefsgiCOhMz
 DklSI+tIhkebU2JqbpHA1yjX4IFtNTRd4TZi/uOBFPc/atDX1Y5AYOgGjUaD
 VCpFHEWk0imCMKZWc0GYxIkgDOX8G1qJa43kxUrVo+F5gMK2DGzbRMqEJEmI
 45h63aVer1BoFYwe09ixM006pRjoDYBZ5oo6JyZ1ujrqGFZEWy5AqSxJIrEt
 nbUrPDZvbFD3xqi5MVJKhADXrROEIUkcYxo6qZRJqRIQxYpEqpHX2mq8HgDX
 i/eHsaDhRZhGiFKKJJH4vo9lWYRhSBhG1N2QHz6Tpas9x5oV7ewaOY5tO0SR
 RhDGzC+aNBqKdNrlyJiOk46puYr7thnoWnNKSmUxsMmiVq2STqcxDJ1azcX3
 /SWWkhTLHmGYxMDRNwRASkZcL04kOV3TtdN8FYQhpmliWRaZTIZ8XhIEDrad
 wrYtzl7TTTqdQimFrutIKTk5VeFEaYBybZK3n99OuNRHFEVEcYRlWpiGDgIU
 iiAIyeUc4jih4XlkjAwz8y6JVEeA8A0BAOb8IBmvufGKFkcj4zjomkDXNEzL
 IkkkAJZloRs6AgjDkFQqhWGYlCs1iuFy0k47+f4sVmOMS95iY1kmSZIglSKV
 srGkhRAC3/exbZuUbVMqVxCahkxi2lpbCaOYuqeIYvnCG5ESecvkug1rnc/0
 9xXOaHiN3MKijxAGecdCKUkYBFiWjRAQhhFCQKPhYZgmtVodTQiOnPSR1hCh
 tPGChMbCLlb0pYmi5uhrQhDHzXgKAh9zqS1ArdZc4DRNY2o+4uSMS09vK+tX
 p404aqyfX5QeMN7kqVcsZEJw8Sc/sv7hP/6IVehrX2RmpogSKXJZm+FDGjue
 qzE508pgTwYhBJ4XkE6niOOYTCaDUpJypYpt2xTLMQcnHBbmp+nqW8/5axbJ
 ZTR8P8AwDDzPI5NJ4/sB2WwWBMzNFal5BpOzZWxLkEiDG65bzlWXljhx4iSa
 JlnW67D7gMaPduVm731k8vbRY8lfnWIh8/qrl9/xD59eKLilvbz3Y+O1897f
 2HbJh6vq2k/MMT4xyW03VWn4M2QchyNTCT0DBuPzMzSC5p46CEKk0gnDmIHe
 LO1OBd1uRwRHsU2FUjBXUuw6UOb4VEgYScYXQiIt4ek945QCg5s+5PDNL/Wz
 d7TCn926jIs37uKGTx3h0htj98Lr4+9++LZKpa+jxFVvO9k9u5C0vTIGVn/g
 Xf4KvzHPl75F9ONdvBPY3dWmHx7oLqy846GQcrWIJhL2HpjirI0av3f5JMMr
 4F/vzpJNaxwdb3DeW9PEccT2HWOsHcgTSY93XFxgz8g0R08IPnVLLxdu0jh8
 eIzb/r7EHV/tord1mJ88B+duMDij7wQ7XlBc8fZezhzczzfvkQyPpjFN+UTN
 Da57/GlW3vrXfH/dEGvLVW4/vQ6kbC46e00DP4TdB3gW2AXIhi+3NfyYiza1
 sf3Zbva8pOjqaOHe7y8ws6CzejlItYCUMF2sk9bHuGHrcRIpmSpKLjk/4Yrz
 hlnevcCffzJHq7WPO+9/iTOGPM4/u8H4xBQNH2YWTB7dHoCweexp2Ly+hOcH
 9HRAkkgaXvzo0kAfe3o3X354O48CI6cB2BYF26wTReAHTJ8KkGI5frjmSopV
 QTZjkc3ksI2EzoLFzpGEH++Gyy5sMDHns2FlBwcOh0QJyCSip8Ph7oddyjVB
 GMH6wTHuf0zjvm15ogjGpxXtbQZzRchn85y/yaTm+vxkt0YQ+MQxXHoevPcd
 AX6Q7DsVq3HMv03Pc/0pG0/FgO4HioYPmRT2qcphrLbbaVnbemnMX9xqcNVW
 jVI1AnT8AL51L1y4CabmFulos3A9Dc8HXZfkHcGKPgdQlGugVMJcUVBozRBG
 4AXQ2RYxehyUEgz11zhwBFpybTzypE25Cp4Pt90MH7+eu4GzlsxKAP9VUsLz
 URMz4DZgzXLe+orY6Ln6HZ6Ts44TusdRSYlaPSBJEs5YCddenkWhsXFNnfli
 Az8Q1BuQyATbNgmjBCk5bUy5KlAyJIigvRWqtYi9L4HvR6xdEfPk87C816a7
 vZev3Smo1KHuwkevo/+W9/MDIXjL62qhMGL3jp1Qc+GCTfQLwQcBDJ1rHngs
 CP/uX1BVFwZ7YP/RKpdelOfoGOx4oc4Tz0m2bFYcHq8RJwZ1F5QU6LqxpF/A
 D6DeANcD0/CYnoPeTiiWFbv2a/R1K3QR88KwztqhdtavKvDCvhzfvAcqdajV
 4YYr6XrP23gI6Hw9MffkE89xsObC+lVw0Tn8M9AfJzy2Y6fatHOE5+YXwclA
 seKyd/8MB4+BYDmPP50GIOcsUnMT6g1QxGx/ZoKFckgQQrXeHJw4kVxwjs7h
 Mehoa3rG9W3eu9Xh8EnwfAclY+YXG7hewl2PiO/f+T2imtv0xDVbGcxn+dzr
 AYie2cM39h+BIIDfv4bet6znMSADHApC7ilVIIqgu8NCkCKMoOHF1N0M49Nw
 2e9ILDOi5sLN1wluvLbG6PFFFsuwUIITE/CFTxn0dER8+36DYlkQxfDZjyls
 bZo9B6Gj1SSVSrF7/zx+KGfCSH34vm385TN7mlPQScFgL+95XSkhJQfGZ7hq
 0zq6LRPO3UBnZ4FbNqzWrrjynV03rl0RmS8eSBibyLFuTZqz17ooTfH0Lh+3
 kbBYS2OYrbi+zeSszcyCyVnrUkzOp1jWk2J6PmLkEDz2NDipLC8eTDh0XPJf
 P5JseatOtS45dCJBJoI9o1VKlfDzUax+FCfsNE3+YMMaclEMz+4lM7/IF39K
 Siyl9Vs288wHLqdFX4JmGrBQhmf3wvFxgRCtDPTVWT3USWs2oKtd0VnQWSwH
 HBursVBSVN3miCUJaBoYBjhpKLRAT4egr0vH0BNmi4rpeSiWBQ1f8fxek6yT
 Zq7o7V+sRJuXTiXsy7eIo9depvo9H754OyPzpdOM9Go1qmlYXZ3tjTu+V2y5
 4Gzo74a5RXjkqTTT80F81ro2Y+vFGVYPpti3f5p9BxUnpwQNzyLrZMim28ll
 LZyURq5ggVLEcVMMNryQqbkUB4741L2IuuuRsn1WLlOsXq4Y7IN3b4mYmI04
 OU1/scRd49PC7erMnvPBd9NfXKzx3D4oVrj7Z51K9Hz8Q/nRVcvi/MJigxcP
 wOGTIITB5ZcOsG5lTOQXeW5PgxcPCtryraxf1Up/d4p81kbJhCSRmKZJvV7H
 siySJMa0LJRUgCKbzeJ5HkJoaLrOYtnjxKTLS8fKeH6NczYohpaBoUM6BTlH
 J4p1Fkohw4fgyef5sR/wbsA9DUDXxBk9XbnPTc5Uv3fpedyzaR0I0eyku9NA
 00zGJj2GR+HYZB47063yWUu05mxa8haaEEgpMUyTJE4wDJ0wijANE6C5+YfT
 EtkwDDRdB9XcM0vZ/D0xVcfzYqqVGSLvMN3tkLKhWIaZYh4/SlVdt/GFIAge
 BE5EUdQE8J6L1363p8u89qmdJxEqJIgCOgvQkoM4hqoLbk0jSFLc/PHPMDCw
 rLmLskxM08IyzaXnZrbM5nvTWnq2mnUsy3o52zaWZaFp2k+FYRRFHDx4kOHh
 YYrFIkNDQ2zZsoWWlhZKpRI7duxInn322f0PPvjgvUeOHPmOuOmS7MSUT7/v
 JnS3azT8kHqgYRqKcjVmsNNm44o0T43qrFh/BW2FAoZhYBoGxmuy/pry6Trm
 qfLLQE8DXhqIl98ZmKaJYZjNdrqBrusITSBEE2y9Xueu79zFl7/ylQeMH+x1
 v+042udPzCVjQBqQQjSnkVKQBH7bqk5sIWwSmZCybYxTHzr1EaNZNgyzafQr
 /jNN82XDrVNeOuUNE8uysW0L3TDRNA1N0xDiZWMTKZlfWGBqaoqRkRG5b9++
 g9u3b394amrqP5VSLwkgBWwBnljiVvkaan3XH129YtvBubr21POLtwLVUxz8
 Cva6oqPVujGTMsS6IYesk0IBgR+g6U2jlJSYlkXdDRg5XKPeiJKqG38VxIun
 jH0Vu7z6nQ9UgMPAeBiG8pU06gM/+DkHvLWOHqEd21mSUsqHgMnXOcW4s+rG
 22xL/9rErFc4/+wMA71ZmifYBkkikVJyfKLGvvE6YRQXXS/6WBzLh/4vbmgE
 cBFgLXnp51Xsb2+zbi+0pK4c7LG4YFMXhi6ouz4jR1wOHK3geskPFyvhR5c2
 5v8/793SKf3m5X2ZyjnrWtRVb+9RG1ZlVVfB8lOW9ulf8lLlN4BCE6sKLdY9
 3e2p2UKL9d+a9tNa/tdyyffmTf2bAN4E8CaA32j6nwEArPrbT5CcyQQAAAAA
 SUVORK5CYII=
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/mog.sgml > mog.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mog.
	$(MAKE) DESTDIR=./debian/mog install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mog 0.63-2

=== debian/changelog ===
mog (0.63-2) unstable; urgency=low

  * cosmetic changes

 -- trompkins <maciej.stankiewicz@gmail.com>  Fri, 19 Aug 2011 22:14:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: armel
 Depends: ${shlibs:Depends}
 Description: Maze of Galious is a remake of Konami's MSX platform game.
+XB-Maemo-Display-Name: Maze of Galious
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
  AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
